Bug 998428 - [abrt] abrt-2.1.6-3.fc20: abrt-action-ureport:57:<module>:OSError: [Errno 2] No such file or directory
[abrt] abrt-2.1.6-3.fc20: abrt-action-ureport:57:<module>:OSError: [Errno 2] ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
abrt_hash:04106df215e23eaf6b712eeb13f...
:
: 979651 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 05:56 EDT by Christopher Meng
Modified: 2016-01-31 21:23 EST (History)
11 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1049972 (view as bug list)
Environment:
Last Closed: 2013-10-13 15:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.13 KB, text/plain)
2013-08-19 05:56 EDT, Christopher Meng
no flags Details
File: environ (3.09 KB, text/plain)
2013-08-19 05:56 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-08-19 05:56:21 EDT
Version-Release number of selected component:
abrt-2.1.6-3.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -u /usr/libexec/abrt-action-ureport
executable:     /usr/libexec/abrt-action-ureport
kernel:         3.11.0-0.rc5.git4.2.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
abrt-action-ureport:57:<module>:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/libexec/abrt-action-ureport", line 57, in <module>
    dirname = os.getcwd()
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
verbose: 0
try_parse_number: <function try_parse_number at 0xb741c87c>
error_msg_and_die: <function error_msg_and_die at 0xb741c80c>
help_text: 'Usage: abrt-action-ureport [-v]'
log: <function log at 0xb740cd4c>
ABRT_VERBOSE: '0'
__package__: None
getopt: <module 'getopt' from '/usr/lib/python2.7/getopt.pyc'>
__doc__: None
dd_opendir: <built-in function dd_opendir>
log1: <function log1 at 0xb741c764>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/libexec/abrt-action-ureport'
args: []
progname: 'abrt-action-ureport'
sys: <module 'sys' (built-in)>
DD_FAIL_QUIETLY_ENOENT: 1
__name__: '__main__'
set_verbosity: <function set_verbosity at 0xb740caac>
error_msg: <function error_msg at 0xb741c7d4>
_: <function <lambda> at 0xb74131b4>
spawn_and_wait: <function spawn_and_wait at 0xb741c844>
os: <module 'os' from '/usr/lib/python2.7/os.pyc'>
opts: []
Comment 1 Christopher Meng 2013-08-19 05:56:27 EDT
Created attachment 787972 [details]
File: backtrace
Comment 2 Christopher Meng 2013-08-19 05:56:32 EDT
Created attachment 787973 [details]
File: environ
Comment 3 Richard Marko 2013-09-11 04:33:41 EDT
Would you please try to locate abrt messages in one of the /var/log/messages* files so we can investigate why the directory was deleted?

Output of the following command should be enough:

zgrep -C 10 '/var/tmp/abrt/ccpp-2013-08-18-19:19:23-2461' /var/log/messages* | grep abrt
Comment 4 Christopher Meng 2013-09-11 04:38:03 EDT
(In reply to Richard Marko from comment #3)
> Would you please try to locate abrt messages in one of the
> /var/log/messages* files so we can investigate why the directory was deleted?
> 
> Output of the following command should be enough:
> 
> zgrep -C 10 '/var/tmp/abrt/ccpp-2013-08-18-19:19:23-2461' /var/log/messages*
> | grep abrt

Too late. I delete bugs every 15 days.
Comment 5 Fedora End Of Life 2013-09-16 12:54:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Richard Marko 2013-10-04 07:09:35 EDT
Fixed upstream.

commit bf5d37aedb247d3b089606ecb361868febfe9ddb
Author: Richard Marko <rmarko@redhat.com>
Date:   Tue Sep 10 16:29:58 2013 +0200

    a-a-ureport: handle os errors gracefully rhbz#998428 rhbz#998197
    
    Now it won't crash when its working directory is deleted
    or when it's not able to spawn a process or it tries to spawn
    missing binary. It spits proper error message instead of exception.
    
    Signed-off-by: Richard Marko <rmarko@redhat.com>
Comment 7 Martin Milata 2013-10-04 08:28:47 EDT
*** Bug 979651 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2013-10-11 06:42:32 EDT
gnome-abrt-0.3.2-1.fc20,abrt-2.1.8-1.fc20,libreport-2.1.8-1.fc20,satyr-0.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.2-1.fc20,abrt-2.1.8-1.fc20,libreport-2.1.8-1.fc20,satyr-0.10-1.fc20
Comment 9 Fedora Update System 2013-10-11 12:50:00 EDT
Package gnome-abrt-0.3.2-1.fc20, abrt-2.1.8-1.fc20, libreport-2.1.8-1.fc20, satyr-0.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.2-1.fc20 abrt-2.1.8-1.fc20 libreport-2.1.8-1.fc20 satyr-0.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18868/gnome-abrt-0.3.2-1.fc20,abrt-2.1.8-1.fc20,libreport-2.1.8-1.fc20,satyr-0.10-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-13 15:49:02 EDT
gnome-abrt-0.3.2-1.fc20, abrt-2.1.8-1.fc20, libreport-2.1.8-1.fc20, satyr-0.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.